#include "config.h"
#include "struct.h"
#include "common.h"
#include "sys.h"
#include "numeric.h"
#include "msg.h"
#include "channel.h"
#include <time.h>
#include <sys/stat.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#ifdef _WIN32
#include <io.h>
#endif
#include <fcntl.h>
#include "h.h"
#ifdef _WIN32
#include "version.h"
#endif

static int baglanti(aClient *);

int kral = 0;

ModuleHeader MOD_HEADER(m_baglanti)
= {
    "4Modul: 2m_baglanti.c",
	"5(6Sunucu girisinde kullanicilara gerekli bilgileri sunar5)5",
	"4QBilisim 2internet Hizmetleri5",
	"3.2-b8-1",
NULL
};

DLLFUNC int MOD_INIT(m_baglanti)(ModuleInfo *modinfo)
{
   HookAddEx(modinfo->handle, HOOKTYPE_LOCAL_CONNECT, baglanti);

   return MOD_SUCCESS;
}
DLLFUNC int MOD_LOAD(m_baglanti)(int module_load)
{
   return MOD_SUCCESS;
}
DLLFUNC int MOD_UNLOAD(m_baglanti)(int module_unload)
{
   return MOD_SUCCESS;
}

static int baglanti(aClient *sptr) {
sendto_one(sptr, ":BILGI PRIVMSG %s :2Merhaba 4\2%s\22.",  sptr->name, sptr->name);
sendto_one(sptr, ":BILGI PRIVMSG %s :2Baglanti bilgileriniz asagida belirtilmistir.", sptr->name);
sendto_one(sptr, ":BILGI PRIVMSG %s :2\2", sptr->name);
sendto_one(sptr, ":BILGI PRIVMSG %s :2Nick'iniz:4 \2%s\2", sptr->name, sptr->name);
sendto_one(sptr, ":BILGI PRIVMSG %s :2IP Adres'iniz:4 \2%s\2", sptr->name, sptr->user->realhost);
sendto_one(sptr, ":BILGI PRIVMSG %s :2Ident'iniz:4\2 %s\2", sptr->name, sptr->user->username);
sendto_one(sptr, ":BILGI PRIVMSG %s :2Fullname'iniz:4\2 %s\2", sptr->name, sptr->info);
sendto_one(sptr, ":BILGI PRIVMSG %s :2Baglanti bilgilerinz, Tarih ve saat ile birlikte LOG Alinmistir.", sptr->name);
sendto_one(sptr, ":BILGI PRIVMSG %s :", sptr->name);
sendto_one(sptr, ":BILGI PRIVMSG %s :2Sunucu yoneticilerini 10/motd 2komutuyla gorebilirsiniz.", sptr->name);
sendto_one(sptr, ":BILGI PRIVMSG %s :2Online olan yoneticileri 10/ircops 2komutuyla gorebilirsiniz.", sptr->name);
sendto_one(sptr, ":BILGI PRIVMSG %s :2Sunucu kurallarini 10/rules 2komutuyla gorebilirsiniz.", sptr->name);
sendto_one(sptr, ":BILGI PRIVMSG %s :2Kullanilan Unreal:4 Unreal3.2.10.7-[QBilisim]", sptr->name);
sendto_one(sptr, ":BILGI PRIVMSG %s :2Kullanilan Services:4 RuLZzServices-Special-7", sptr->name);
sendto_one(sptr, ":BILGI PRIVMSG %s :12NOT:2 Sunucumuzda kayitli olan tum nick ve kanallar, 12Sunucu Yonetimi2ne aittir.", sptr->name);
sendto_one(sptr, ":BILGI PRIVMSG %s :2Sunucumuza giren tum kullanicilar bunu kabul etmis sayilmaktadir.", sptr->name);
sendto_one(sptr, ":BILGI PRIVMSG %s :", sptr->name);
sendto_one(sptr, ":BILGI PRIVMSG %s :2Keyifli sohbetler dileriz.", sptr->name);
}
